## dwww 1.1

=== Makefile ===
#
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile,v 1.1.1.1 1996/09/24 14:58:44 liw Exp $"
#

CC=gcc
CFLAGS=-Wall -O2
LDFLAGS=-s
LIBS=-lpub

prefix=/usr

bindir=$(prefix)/bin
sbindir=$(prefix)/sbin
libdir=$(prefix)/lib/dwww
varlibdir=$(prefix)/lib/dwww
docdir=$(prefix)/doc/dwww
etcdir=$(prefix)/etc
man1dir=$(prefix)/man/man1
man8dir=$(prefix)/man/man8
crondir=$(prefix)/etc/cron.daily
cgidir=$(prefix)/cgi-bin
spooldir=$(prefix)/dwww

htmldir=/home/httpd-data
# don't create $(htmldir)

lib=lib/[^C]*
varlib=
bin=realpath dwww
sbin=dwww-convert dwww-build dwww-cache dwww-find dwww-quickfind
doc=README
man1=realpath.1
man8=dwww-convert.8 dwww-build.8 dwww-cache.8 dwww.8
cron=dwww-daily

all: realpath dwww-cache dwww-quickfind

realpath: realpath.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)

dwww-cache: dwww-cache.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
	
dwww-quickfind: dwww-quickfind.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
	
clean:
	rm -f core realpath dwww-cache dwww-quickfind

install:
	for i in $(libdir) $(varlibdir) $(bindir) $(sbindir) $(docdir) \
		$(man1dir) $(man8dir) $(crondir) $(cgidir) $(spooldir); \
	do test -d $$i || install -d $$i; done
	install -m 0644 $(lib) $(libdir)
	chmod a+x $(libdir)/dwww.cgi
	rm -f $(cgidir)/dwww
	ln -s $(libdir)/dwww.cgi $(cgidir)/dwww
	rm -f $(htmldir)/dwww
	ln -s $(varlibdir) $(htmldir)/dwww
	install $(bin) $(bindir)
	install $(sbin) $(sbindir)
	install $(doc) $(docdir)
	install -m 0644 $(man1) $(man1dir)
	install -m 0644 $(man8) $(man8dir)
	install $(cron) $(crondir)/dwww

## dwww 1.4.2-1

=== Makefile ===
#
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile,v 1.13 1997/03/22 23:56:24 jim Exp $"
#

CC=gcc
CFLAGS=-Wall -O2
LDFLAGS=-s
LIBS=-lpub

prefix=/home/jim/work/debian/dwww/test

bindir=$(prefix)/usr/bin
sbindir=$(prefix)/usr/sbin
libdir=$(prefix)/usr/lib/dwww
varlibdir=$(prefix)/var/lib/dwww
htmldir=$(prefix)/var/lib/dwww/html
docdir=$(prefix)/usr/doc/dwww
etcdir=$(prefix)/etc
etcdwwwdir=$(prefix)/etc/dwww
man1dir=$(prefix)/usr/man/man1
man8dir=$(prefix)/usr/man/man8
crondir=$(prefix)/etc/cron.daily
#cgidir=$(prefix)/cgi-bin
spooldir=$(prefix)/var/spool/dwww
menudir=$(prefix)/etc/menu-methods
webdocrootdir=$(prefix)/var/www
webcgidir=$(prefix)/usr/lib/cgi-bin

lib=lib/[^Ce]*
varlib=
bin=realpath dwww
sbin=dwww-convert dwww-build dwww-cache dwww-find dwww-quickfind \
	dwww-txt2html dwww-doc-index dwww-format-man dwwwconfig
doc=README TODO
man1=realpath.1
man8=dwww-convert.8 dwww-build.8 dwww-cache.8 dwww.8
cron=dwww-daily
menumethods=menu-methods

all: realpath dwww-cache dwww-quickfind dwww-txt2html

dwww-txt2html: dwww-txt2html.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)

realpath: realpath.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)

dwww-cache: dwww-cache.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
	
dwww-quickfind: dwww-quickfind.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
	
clean:
	rm -f core realpath dwww-cache dwww-quickfind dwww-txt2html

install:
	for i in $(prefix) $(prefix)/usr $(prefix)/var $(prefix)/var/lib \
	  $(etcdir) $(etcdwwwdir) $(libdir) $(varlibdir) $(bindir) $(sbindir) \
	  $(docdir) $(man1dir) $(man8dir) $(crondir) $(spooldir) \
	  $(webdocrootdir) $(webcgidir) \
	  $(htmldir) $(menudir); \
	do  \
		echo "$$i"; \
		test -d $$i || install -d $$i; \
	done
	install -m 0644 $(lib) $(libdir)
	chmod a+x $(libdir)/dwww.cgi
#	rm -f $(cgidir)/dwww
#	ln -s $(libdir)/dwww.cgi $(cgidir)/dwww
	ln -s ../../../usr/lib/dwww/dwww.cgi $(webcgidir)/dwww
	ln -s ../../var/lib/dwww/html $(webdocrootdir)/dwww
	install $(bin) $(bindir)
	install $(sbin) $(sbindir)
	install -m 0644 $(doc) $(docdir)
	install -m 0644 $(man1) $(man1dir)
	install -m 0644 $(man8) $(man8dir)
	install $(cron) $(crondir)/dwww
	install $(menumethods) $(menudir)/dwww

=== debian/changelog ===
dwww (1.4.2-1) stable; urgency=high

  * Another CGI security bug that allowed execution of arbitrary
    commands.  I am now specifying a set of acceptable characters, rather
    than excluding certain ones and using perl -T.  Fixes bug #18107
    (Thanks to Martin Bialasinksi)
  * I know there are lots of other non-security bugs outstanding.  They will
    be fixed in an upcoming, more substantial release.
  * Compiled for libc5 for bo-updates.

 -- Jim Pick <jim@jimpick.com>  Wed, 11 Feb 1998 23:22:37 -0800

dwww (1.4.1-1.1) unstable; urgency=high
  
  * libc6 compile
  * non-maintainer release
  * changed filelist="/tmp/dwww-find.list.$$" in dwww-find to
    filelist="/var/lib/dwww/find.list.$$" (Fixes: Bug#11830)

 -- Joel Klecker <jk@espy.org>  Wed, 31 Dec 1997 12:13:36 -0800

dwww (1.4.1-1) frozen unstable; urgency=high

  * Fixed major security flaw: dwww.cgi would accept backquotes
    and '$' characters, then pass them on to bash.  This enables
    people to execute commands as the CGI user.  Particularily
    dangerous if someone configures their web server to run
    CGI programs as root. dwww.cgi was modified to convert all
    backquotes and dollar signs into underscores.
  * dwww.cgi: don't convert '+' characters into spaces - fixes
    bug #8563 (Thanks Lars Wirzenius and Joost Witteveen)
  * dwwwconfig: place quotes around DWWW_SERVERTYPE in 
    /etc/dwww/dwww.conf to cope with server names with space
    such as CERN httpd - fixes bug #8525
  * /etc/cron.daily/dwww: added line to cd to /var/spool/dwww
    to prevent error message that someone was having (not me)
    - fixed bug #8591

 -- Jim Pick <jim@jimpick.com>  Tue, 8 Apr 1997 12:00:21 -0700

dwww (1.4-1) unstable; urgency=low

  * Added emacs lines to changelog
  * dwww-convert: accepts HTML files that end in .htm  - previously 
    only .html was supported) 
    (Thanks to Susan G. Kleinmann)
  * dwww-convert: properly handles files that do not exist
  * dwww-convert: checks for a .html.gz file if a .html file does 
    not exist, and vice-versa  
    (Thanks to Brian C. White)
  * dwww-convert: modified perl code in script to do replacements
    over the entire HTML file instead of doing it line by line
  * added full path to dwww-cache in /etc/cron.daily/dwww
    (Thanks to Herbert Xu for reporting the bug, and Henrik
    Wallin for the fix) - fixes bug #7088
  * made fixes to dwww-find and dwww-doc-index to make dwww work
    with bash 2.0 - fixes bugs #7103, #7143 and #7156
    (Thanks to Szymon M. Rusinkiewicz and Joey Hess)
  * dwww-convert: fixed small bug which confused newlines with
    contents of href tags
  * dwww-convert: recognize when filename is a directories.  It it
    is, then check for index.htm* files, and display them as 
    standard files if found.  Removed code from
    builtin_dir2html() that would display index.htm* files.
  * dwww-convert: optimized builtin_dir2html() by using new
    feature of accessing directories using 'file' type.  Removed
    sed scripts.  Massive performance boost.  :-)
  * dwww-convert: fixed builtin_dir2html() to do file links to
    all types of *.htm* files when using DWWW_USEFILEURL
  * dwww-convert: added code to check for .htm, .html, .htm.gz,
    and .html.gz files when file not found.  Also, strip off
    HTML anchors.
  * Makefile, debian/rules: reworked directories, added 
    /var/lib/dwww/html.  Changed documentation files to be mode
    0644.  Removed sticky bit from /var/spool/dwww directory and
    removed /var/spool/dwww/.cache_db file.
  * dwww-doc-index: changed function names to be compatible with
    sh and bash - fixes bug #7267
    (Thanks Bill Wohler)
  * adminlinks.htm, docintro.html, search-docs.html: removed these
    incomplete .html files to ./lib/editorial directory
  * dwww-build, dwww.template: Make more lynx friendly -- build man 
    page indexes in separate directories.  Put search engine first.  
    Remove link to docintro.html (it's incomplete).  Add link to
    menu.html.
  * dwww, dwww-build, dwww.1, dwww.8, postinst:  Change location of
    main index page from http://localhost/dwww/dwww.html to 
    http://localhost/dwww/index.html.
  * dwww-build, html templates: modified so that there are new
    indexes to the man pages, and they are in separate directories
    (much like how Yahoo is set up).
  * dwww-build, dwww.8: Make title configurable.
  * Added Joost Witteveen's Debian Documentation Menu (Thanks!).
  * change location for /etc/dwww.conf to /etc/dwww/dwww.conf
  * control: added Recommends: menu (>= 0.11)
  * dwwwconfig, Makefile, rules: moved dwwwconfig from debian
    directory in source to main directory
  * added /var/www/dwww and /usr/lib/cgi-bin/dwww symlinks - to
    conform to web standard
  * removed INSTALL.Debian file and removed many items from to do
    list
  * dwww-build: modified it to create index files for wn web server

 -- Jim Pick <jim@jimpick.com>  Sat, 22 Mar 1997 17:12:55 -0800

dwww (1.3-1) unstable; urgency=low

  * Removed references to localhost in dwww.template
  * Replaced references to file://localhost with
    reference to '/cgi-bin/dwww?type=file\&location=/usr/doc'
  * modified dwww-doc-index so that it doesn't complain if
    /usr/local/doc doesn't exist
  * added Perl code to dwww-convert to make links in html
    files point to cgi-script
  * added MIME headers to dwww-convert and removed them
    from cgi-script
  * added DWWW_SERVERNAME, DWWW_CGIUSER, and DWWW_USEFILEURL
    options to /etc/dwww.conf.  Modified dwww.8 man page.
  * modified dwww script, and dwww-convert script to use
    DWWW_SERVERNAME instead of localhost
  * if DWWW_USEFILEURL is set, revert back to old behaviour
    of using file:// URL's for performance
  * modified dwww-build so that it doesn't complain about
    directories in the manpath that don't exist
  * modified dwww-daily (/etc/cron.daily/dwww) to use
    DWWW_CGIUSER when calling dwww-cache --clean


=== debian/control ===
Source: dwww
Maintainer: Jim Pick <jim@jimpick.com>
Section: doc
Priority: optional
Standards-Version: 2.0.0.0

Package: dwww
Architecture: any
Depends: httpd, man
Recommends: info2www, menu (>= 0.11), ${shlibs:Depends}
Description: Read all on-line documentation via WWW
 dwww lets you read all install on-line documentation via a local
 WWW server. When possible, it converts the documentation to HTML.
 You need both a WWW server and a WWW browser.

=== debian/rules ===
#!/usr/bin/make -f

package=dwww

build:
	$(MAKE) CFLAGS=-O2 LDFLAGS=-s

binary: binary-arch binary-indep

binary-arch: checkroot build
	rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install debian/postinst debian/prerm debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	install -d debian/tmp/usr/sbin
	$(MAKE) prefix=debian/tmp install
	rm -rf debian/tmp/foo
#	install debian/dwwwconfig debian/tmp/usr/sbin/dwwwconfig
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	cp README debian/tmp/usr/doc/$(package)/README
	gzip -9v debian/tmp/usr/doc/$(package)/*
	dpkg-shlibdeps dwww-cache dwww-quickfind realpath
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R o-s,go=u,go-ws debian/tmp
#	chmod a=rwx,o+t debian/tmp/var/spool/dwww
#	touch debian/tmp/var/spool/dwww/.cache_db
#	chmod a=rw debian/tmp/var/spool/dwww/.cache_db
#	chown www-data. debian/tmp/var/spool/dwww/.cache_db
	dpkg --build debian/tmp ..

binary-indep:

clean:
	$(MAKE) clean
	rm -rf debian/tmp

checkroot:
	test root = "`whoami`"

## dwww 1.4.3.4-0.2

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 LDFLAGS=-s
 LIBS=-lpub
 
-prefix=/home/jim/work/debian/dwww/test
+prefix=debian/tmp
 
 bindir=$(prefix)/usr/bin
 sbindir=$(prefix)/usr/sbin
@@ -30,10 +30,11 @@
 lib=lib/[^Ce]*
 varlib=
 bin=realpath dwww
+cgi=dwww.cgi
 sbin=dwww-convert dwww-build dwww-cache dwww-find dwww-quickfind \
 	dwww-txt2html dwww-doc-index dwww-format-man dwwwconfig
 doc=README TODO
-man1=realpath.1
+man1=realpath.1 dwww.1
 man8=dwww-convert.8 dwww-build.8 dwww-cache.8 dwww.8
 cron=dwww-daily
 menumethods=menu-methods
@@ -66,11 +67,12 @@
 		test -d $$i || install -d $$i; \
 	done
 	install -m 0644 $(lib) $(libdir)
-	chmod a+x $(libdir)/dwww.cgi
+#	chmod a+x $(libdir)/dwww.cgi
 #	rm -f $(cgidir)/dwww
 #	ln -s $(libdir)/dwww.cgi $(cgidir)/dwww
-	ln -s ../../../usr/lib/dwww/dwww.cgi $(webcgidir)/dwww
-	ln -s ../../var/lib/dwww/html $(webdocrootdir)/dwww
+#	ln -s /usr/lib/dwww/dwww.cgi $(webcgidir)/dwww
+	install -m 0755 $(cgi) $(webcgidir)/dwww
+#	ln -s /var/lib/dwww/html $(webdocrootdir)/dwww
 	install $(bin) $(bindir)
 	install $(sbin) $(sbindir)
 	install -m 0644 $(doc) $(docdir)

=== debian/changelog ===
dwww (1.4.3.4-0.2) frozen unstable; urgency=high

  * Remove reference to i386 and make it build on "any" again
  * Fix postrm to make purge really work this time.

 -- Joost Kooij <Joost.Kooij@nl.origin-it.com>  Thu, 25 Jun 1998 16:51:52 +0200

dwww (1.4.3.4-0.1) frozen unstable; urgency=high

  * Fix detection of wn webserver to make it work with newer version.  
    (Bug#23790)

 -- Joost Kooij <Joost.Kooij@nl.origin-it.com>  Tue, 23 Jun 1998 11:55:20 +0200

dwww (1.4.3.3-0.1) frozen unstable; urgency=high

  * Back out chowning group of /var/spool/dwww in /usr/sbin/dwwwconfig.
    (Bug#237716)

 -- Joost Kooij <Joost.Kooij@nl.origin-it.com>  Mon, 22 Jun 1998 09:29:40 +0200

dwww (1.4.3.2-0.1) frozen unstable; urgency=high

  * Fix use of /tmp for tempfiles in a lot of places: tempfiles are now 
    created in /var/spool/dwww.  Also fixed earlier "fix" that used 
    /var/lib/dwww for tempfiles.  This should fix the errors from various
    dwww-* tools that also caused cron.daily/dwww to send a daily complaint 
    mail to root.  (Bug#16212) 
  * Install the dwww cgi script in /usr/lib/cgi-bin instead of /usr/lib/dwww.  
    Changed dwwwconfig to create a copy instead of a symlink of the dwww cgi 
    script to the effective cgi-bin directory if it is in a non-standard 
    location.  (Bug#11584,22018,22153,22173,23439) 
  * Fix $ENV{PATH} in /usr/lib/dwww/dwww.cgi ; don't be so paranoid that 
    dwww's children can't find basic stuff like grep and awk anymore.  
    (Bug#16506,19045)
  * The "_" character is not a real security hazard. But it is used in a 
    surprisingly high number of documentation filenames. 
    (Bug#18203,18356,22229,23440)
  * Actually install dwww.1 manpage.  (Bug#9366,9369,9817)
  * Remove old backup file dwww.cgi~ from the source
  * Fixed the following reported lintian errors & warnings: 
     - binaries w/o manpages (linked to undocumented.7.gz);  (Bug#8327)
     - don't compress copyright file; 
     - do compress manpages;  (Bug#15706)
     - made symlinks to cgidir and webroot absolute. 
    This should leave only the warning about the standards version, which 
    is a good reminder to really audit dwww sometime soon. (Bug#6356)
  * No need to use the anti-social bashist "function" keyword in a /bin/sh 
    script. ;-) (Bug#23624,10713)
  * Added descriptions for manpages in section 3thr (Bug#8875) and section 1db. 
  * Added postrm script that can purge /etc/dwww/dwww.conf.  (Bug#18110)
  * Added perl to the Depends: because dwwwconfig uses Getopts::Long which 
    is only available in perl.  (Bug#9101)
  * Added Suggests: lynx.  (Bug#23546)
  * Upped the upstreams version number. 

 -- Joost Kooij <Joost.Kooij@nl.origin-it.com>  Thu, 18 Jun 1998 9:25:58 +0200 

dwww (1.4.3-1) unstable; urgency=high

  * Another CGI security bug that allowed execution of arbitrary
    commands.  I am now specifying a set of acceptable characters, rather
    than excluding certain ones and using perl -T.  Fixes bug #18107
    (Thanks to Martin Bialasinksi)
  * I know there are lots of other non-security bugs outstanding.  They will
    be fixed in an upcoming, more substantial release.
  * libc6 version.

 -- Jim Pick <jim@jimpick.com>  Thu, 12 Feb 1998 00:51:17 -0800

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 
 Package: dwww
 Architecture: any
-Depends: httpd, man
-Recommends: info2www, menu (>= 0.11), ${shlibs:Depends}
+Depends: httpd, man, perl, ${shlibs:Depends}
+Recommends: info2www, menu (>= 0.11)
+Suggests: lynx
 Description: Read all on-line documentation via WWW
  dwww lets you read all install on-line documentation via a local
  WWW server. When possible, it converts the documentation to HTML.

=== debian/rules ===
#!/usr/bin/make -f

package=dwww

build:
	$(MAKE) CFLAGS=-O2 LDFLAGS=-s

binary: binary-arch binary-indep

binary-arch: checkroot build
	rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install debian/postinst debian/prerm debian/tmp/DEBIAN
#	install -d debian/tmp/usr/doc/$(package)
#	install -d debian/tmp/usr/sbin
	$(MAKE) prefix=debian/tmp install
#	rm -rf debian/tmp/foo
#	install debian/dwwwconfig debian/tmp/usr/sbin/dwwwconfig
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	cp README debian/tmp/usr/doc/$(package)/README
	gzip -9v debian/tmp/usr/doc/$(package)/*
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	gzip -9v debian/tmp/usr/man/man1/*
	gzip -9v debian/tmp/usr/man/man8/*
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/man/man8/dwww-doc-index.8.gz
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/man/man8/dwww-find.8.gz
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/man/man8/dwww-format-man.8.gz
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/man/man8/dwww-quickfind.8.gz
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/man/man8/dwww-txt2html.8.gz
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/man/man8/dwwwconfig.8.gz
#	touch debian/tmp/var/spool/dwww/.cache_db
	dpkg-shlibdeps dwww-cache dwww-quickfind realpath
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R o-s,go=u,go-ws debian/tmp
#	chmod a=rwx,o+t debian/tmp/var/spool/dwww
#	chmod a=rw debian/tmp/var/spool/dwww/.cache_db
#	chown www-data. debian/tmp/var/spool/dwww/.cache_db
#	chown www-data.www-data debian/tmp/var/spool/dwww
	dpkg --build debian/tmp ..

binary-indep:

clean:
	$(MAKE) clean
	rm -rf debian/tmp

checkroot:
	test root = "`whoami`"

## dwww 1.4.3.5-1.9

=== Makefile ===
--- 
+++ 
@@ -15,11 +15,11 @@
 libdir=$(prefix)/usr/lib/dwww
 varlibdir=$(prefix)/var/lib/dwww
 htmldir=$(prefix)/var/lib/dwww/html
-docdir=$(prefix)/usr/doc/dwww
+docdir=$(prefix)/usr/share/doc/dwww
 etcdir=$(prefix)/etc
 etcdwwwdir=$(prefix)/etc/dwww
-man1dir=$(prefix)/usr/man/man1
-man8dir=$(prefix)/usr/man/man8
+man1dir=$(prefix)/usr/share/man/man1
+man8dir=$(prefix)/usr/share/man/man8
 crondir=$(prefix)/etc/cron.daily
 #cgidir=$(prefix)/cgi-bin
 spooldir=$(prefix)/var/spool/dwww
@@ -27,7 +27,7 @@
 webdocrootdir=$(prefix)/var/www
 webcgidir=$(prefix)/usr/lib/cgi-bin
 
-lib=lib/[^Ce]*
+lib=lib/[!Ce]*
 varlib=
 bin=realpath dwww
 cgi=dwww.cgi

=== debian/changelog ===
dwww (1.4.3.5-1.9) frozen unstable; urgency=medium

  * Non-maintainer upload on behalf of Jean-Philippe Guerard
    <jean-philippe.guerard@mail.dotcom.fr>.
  * Really solve the relative link bug in html documents.
    dwww-convert now take into account links starting with
    "#" that are references to the current document.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 14 May 2000 14:15:05 +0200

dwww (1.4.3.5-1.8) frozen unstable; urgency=medium

  * Non maintainer upload.
  * Updated the search pattern to include files in /usr/share/doc/.
    (Closes: #62726)
  * Empty arguments for dwww-build are now equivalent to --default.
    (Closes: #62596)
  * If the file is a link, overall file type is found by looking
    at the file, not at the file link. (Closes: #62394, #30058)
  * dwww now points only to /usr/doc, but lists also symlinks to
    /usr/share/doc. (Closes: #62158, #50260, #49664)
  * Rephrased the document root selection dialog. (Closes: #59185)
  * Updated dpkg-build to accept dates containing "/" characters.
    Patch by Mike Charlton. (Closes: #51177, #60664)
  * Added support for method HEAD in dwww.cgi.
    Patch by Jon Nelson. (Closes: #17478)
  * These bugs seem to be already fixed !
    (Closes: #48892, #49060, #49132, #49336, #10756, #37250, #42979)
    (Closes: #45151, #53424, #38317, #37856, #34855, #9338) 

 -- Jean-Philippe Guerard <jean-philippe.guerard@mail.dotcom.fr>  Mon,  8 May 2000 21:26:54 +0000

dwww (1.4.3.5-1.7) frozen unstable; urgency=medium

  * Non maintainer upload. I think dwww should be considered orphaned.
  * Fixed browsing of directories. Support both /usr/doc and
    /usr/share/doc. More consistent "type" handling in dwww-convert.
    Patch by Jean-Philippe Gurard. (Fixes: #55858, #57791)
  * Added /usr/share/info and /usr/local/info to dwww-convert's DWWW_DOCPATH.
  * Have both /usr/doc and /usr/share/doc in the top file.
  * Install postrm.
  * FHS migration. (Fixes: #48885)
  * Updated Standards-Version and made it lintian-clean.
  * Cleaned up the source archive.
  * Fixed HTML files and added DOCTYPE; they now validate using nsgmls.
  * Updated locations in copyright file.
  * Remove /etc/dwww/dwww.conf on purge. (Fixes: #37621)
  * Some bug reports are no longer applicable/reproducable. 
    (Fixes: #10449, #34398, #25477, #26492, #32556, #32032, #34447, #36701, #46697)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  5 Mar 2000 15:45:34 +0100

dwww (1.4.3.5-1.6) frozen unstable; urgency=low

  * Non maintainer upload.
  * Corrected MIME type returned for converted manual pages using Roland
    Rosenfeld's patch. (Fixes: #53355, #54220, #58021)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed, 23 Feb 2000 20:23:12 +0100

dwww (1.4.3.5-1.4) unstable; urgency=low

  * Non maintainer upload.
  * [dwww-convert] Determine file types using file + magic2mime rather than
    guessing on the basis of a filename extension. (introduces dependency on
    file). Handle compression of non-HTML files.
  * [dwww-convert] Handle more types of links:
    * LINK HREF, so style-sheets like in wdg-html-reference's
      "html40/index.html" works.
    * BODY BACKGROUND. (Closes: #8940)
  * Fixed links to "undocumented" manpage. (Closes: #51045)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  4 Dec 1999 11:51:32 +0100

dwww (1.4.3.5-1.3) unstable; urgency=low

  * Non maintainer upload.
  * [debian/rules] Added removal of debian/files to clean target 
    (closes: #49072).

 -- Torsten Landschoff <torsten@debian.org>  Mon,  8 Nov 1999 19:33:23 +0100

dwww (1.4.3.5-1.2) unstable; urgency=low

  * Fixing small thinko, really closing #43094

 -- Martin Bialasinski <martinb@debian.org>  Tue,  2 Nov 1999 21:47:28 +0100

dwww (1.4.3.5-1.1) unstable; urgency=low

  * NMU.
  * Recompiled against fixed publib-dev; fixes dwww-txt2html crashes.
    (Closes: #38821, #45092, #45375).
  * [dwwwconfig] Fixed chown call to protect against whole system chown in
    case of pilot error. (Closes: #43094).
  * [dwww-find] use /bin/sh rather than bash. (Closes: #19054).
  * [dwww.cgi] Fixed filename match regexp as per Mark Summerfield's
    suggestion. Makes dwww deal with perl module manpages properly. 
    (Closes: #26794, #34015, #34456, #35788, #41106)
  * [Makefile] Use '!' as negator in character-class glob to remove '^'
    bashism. (Closes: #47469)
  * Applied AMAZING CURE 4 HAIR LOSS to README and make it go boldly.
    (Closes: #34432)
  * Put in a note in the README to point to doc-base as the uniform
    documentation registration system. 
  * My older NMU has been acknowledged implictly. (Closes: #37378)
  * The cron job cds to a known-good directory since 1.4.1-1 (Closes: #10042)
  * The cron job does not seem to call update-menus anymore. (Closes: #29502)
  * Call update-menus in postinst and postrm (Lintian).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 30 Oct 1999 15:57:54 +0200

dwww (1.4.3.5-1) unstable; urgency=low

  * Change dependency to perl5.

 -- Jim Pick <jim@jimpick.com>  Mon,  5 Jul 1999 21:36:14 -0700

dwww (1.4.3.4-0.3) unstable; urgency=low

  * Use new-style menu-methods file (from menu's examples), as menu's
    handling of old-style menu-methods is currently broken (#37379).
    Fixes #37378.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 24 May 1999 12:18:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: dwww
-Maintainer: Jim Pick <jim@jimpick.com>
 Section: doc
 Priority: optional
-Standards-Version: 2.0.0.0
+Maintainer: Jim Pick <jim@jimpick.com>
+Standards-Version: 3.1.1.1
 
 Package: dwww
 Architecture: any
-Depends: httpd, man, perl, ${shlibs:Depends}
+Depends: httpd, man, perl5, file, ${shlibs:Depends}
 Recommends: info2www, menu (>= 0.11)
 Suggests: lynx
 Description: Read all on-line documentation via WWW

=== debian/rules ===
#!/usr/bin/make -f

package=dwww

build:
	$(MAKE) CFLAGS="-Wall -O2" LDFLAGS=-s

binary: binary-arch binary-indep

binary-arch: checkroot build
	rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install debian/postinst debian/prerm debian/postrm debian/tmp/DEBIAN
#	install -d debian/tmp/usr/doc/$(package)
#	install -d debian/tmp/usr/sbin
	$(MAKE) prefix=debian/tmp install
#	rm -rf debian/tmp/foo
#	install debian/dwwwconfig debian/tmp/usr/sbin/dwwwconfig
	cp lib/editorial/*.html debian/tmp/usr/lib/dwww/
	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
	cp README debian/tmp/usr/share/doc/$(package)/README
	gzip -9v debian/tmp/usr/share/doc/$(package)/*
	cp debian/copyright debian/tmp/usr/share/doc/$(package)/.
	gzip -9v debian/tmp/usr/share/man/man1/*
	gzip -9v debian/tmp/usr/share/man/man8/*
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/share/man/man8/dwww-doc-index.8.gz
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/share/man/man8/dwww-find.8.gz
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/share/man/man8/dwww-format-man.8.gz
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/share/man/man8/dwww-quickfind.8.gz
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/share/man/man8/dwww-txt2html.8.gz
	ln -s ../man7/undocumented.7.gz debian/tmp/usr/share/man/man8/dwwwconfig.8.gz
#	touch debian/tmp/var/spool/dwww/.cache_db
	dpkg-shlibdeps dwww-cache dwww-quickfind realpath
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R o-s,go=u,go-ws debian/tmp
#	chmod a=rwx,o+t debian/tmp/var/spool/dwww
#	chmod a=rw debian/tmp/var/spool/dwww/.cache_db
#	chown www-data. debian/tmp/var/spool/dwww/.cache_db
#	chown www-data.www-data debian/tmp/var/spool/dwww
	dpkg --build debian/tmp ..

binary-indep:

clean:
	$(MAKE) clean
	rm -rf debian/tmp debian/files

checkroot:
	test root = "`whoami`"

## dwww 1.7.6.woody.1

=== Makefile ===
#
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile,v 1.16 2002/04/25 06:41:54 robert Exp $"
#

VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: *//p')

CC=gcc
CFLAGS=-Wall -O2 -DVERSION='"$(VERSION)"'
LDFLAGS=
LIBS=-lpub


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  LDFLAGS += -s
endif


prefix=debian/dwww

bindir=$(prefix)/usr/bin
sbindir=$(prefix)/usr/sbin
libdir=$(prefix)/usr/share/dwww
varlibdir=$(prefix)/var/lib/dwww
htmldir=$(prefix)/var/lib/dwww/html
docdir=$(prefix)/usr/share/doc/dwww
etcdir=$(prefix)/etc
etcdwwwdir=$(prefix)/etc/dwww
man1dir=$(prefix)/usr/share/man/man1
man8dir=$(prefix)/usr/share/man/man8
crondir=$(prefix)/etc/cron.daily
#cgidir=$(prefix)/cgi-bin
cachedir=$(prefix)/var/cache/dwww
menudir=$(prefix)/etc/menu-methods
webdocrootdir=$(prefix)/var/www
webcgidir=$(prefix)/usr/lib/cgi-bin


links_end=dwww-convert.dir.end dwww-convert.end dwww-find.end man-begins-with.end \
	  man-in-section.end packagedoc.end

lib=lib/[!Ceio]* lib/img/[!C]*
editorial=lib/editorial/*.html
varlib=
bin=realpath dwww
cgi=dwww.cgi
sbin=dwww-convert dwww-build dwww-cache dwww-find dwww-quickfind \
	dwww-txt2html dwww-format-man 
doc=README TODO
man1=	realpath.1 dwww.1
man8=	dwww-build.8 dwww-cache.8 dwww-convert.8 dwww-find.8 \
	dwww-format-man.8 dwww-quickfind.8 dwww-txt2html.8 dwww.8
cron=dwww-daily
menumethods=menu-methods

all: realpath dwww-cache dwww-quickfind dwww-txt2html functions.sh

functions.sh:functions.sh.in
	sed -e 's/#VERSION#/$(VERSION)/g' < $< > $@
	touch -r $< $@

dwww-txt2html: dwww-txt2html.o utils.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

realpath: realpath.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)

dwww-cache: dwww-cache.o utils.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
	
dwww-quickfind: dwww-quickfind.o utils.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
	
debug:
	DEB_BUILD_OPTIONS=debug,nostrip $(MAKE) all

clean:
	rm -f core realpath dwww-cache dwww-quickfind dwww-txt2html functions.sh *.o


install:
	for i in $(prefix) $(prefix)/usr $(prefix)/var $(prefix)/var/lib \
	  $(etcdir) $(etcdwwwdir) $(libdir) $(varlibdir) $(bindir) $(sbindir) \
	  $(docdir) $(man1dir) $(man8dir) $(crondir) $(cachedir) \
	  $(webdocrootdir) $(webcgidir) \
	  $(htmldir) $(menudir); \
	do  \
		echo "$$i"; \
		test -d $$i || install -p -d $$i; \
	done

	install -p -m 0644 $(lib) $(libdir)
	for i in $(links_end) ; do \
		ln -sv dwww.end $(libdir)/$$i; \
	done

	install -p -m 0644 functions.sh $(libdir)
#	chmod a+x $(libdir)/dwww.cgi
#	rm -f $(cgidir)/dwww
#	ln -s $(libdir)/dwww.cgi $(cgidir)/dwww
#	ln -s /usr/lib/dwww/dwww.cgi $(webcgidir)/dwww
	install -p -m 0755 $(cgi) $(webcgidir)/dwww
	ln -s /var/lib/dwww/html $(webdocrootdir)/dwww
	install -p $(bin) $(bindir)
	install -p $(sbin) $(sbindir)
	install -p -m 0644 $(doc) $(docdir)
	install -p -m 0644 $(man1) $(man1dir)
	install -p -m 0644 $(man8) $(man8dir)
	install -p $(cron) $(crondir)/dwww

.PHONY: all debug clean install

=== debian/changelog ===
dwww (1.7.6.woody.1) woody-proposed-updates; urgency=low

  * Upload to woody, no changes in source.
    The current dwww version in woody is 1.7.4, but I'd like to see 1.7.6
    there: it has fixed a few of bugs and no new bug has been reported
    for 6 weeks. So it really is worth including in woody, I think.

 -- Robert Luberda <robert@debian.org>  Mon, 24 Jun 2002 23:23:25 +0200

dwww (1.7.6) unstable; urgency=low

  * dwww-quickfind.c: don't allow package names to contain spaces or commas
    (closes: #146116).
  * dwww-find: show info for all packages returned by dwww-quickfind, not only
    the first one.
  * dwww-find, dwww-build: signal handling with `trap' command.

 -- Robert Luberda <robert@debian.org>  Wed,  8 May 2002 08:47:22 +0200

dwww (1.7.5) unstable; urgency=medium

  * dwww-find: removed bashism (closes: #144253).
  * dwww.cgi: Allow `[' character (closes: #142019).
  * dwww(1) now uses DWWW_BROWSER or DWWW_X11_BROWSER, if defined in
    /etc/dwww/dwww.conf, to load the dwww page. Also if the variables are not
    defined, we prefer mozilla over netscape (closes: #143850, #130500).
  * Minor fixes in html templates.

 -- Robert Luberda <robert@debian.org>  Thu, 25 Apr 2002 08:58:12 +0200

dwww (1.7.4) unstable; urgency=low

  * dwww-find:
    + call tmpfile to create temporary files insted of putting them in 
      /var/cache/dwww.
    + it now can display packages' description (using apt-cache for that).
    + to speedup use dlocate, if found.
  * debian/control: recommend dlocate and apt.
  * Modified and cleaned up templates, esp. changed foot of generated pages.
  * dwww-convert:
    + generate Content-Disposition header.
    + readed support for type=info; new builtin_info2html just calls info2www.
  * dwww-daily, dwww-format-man: call su with option -s to override
    user www-data's shell (closes: #141459).
  * Closing old bugs, which seem to have been already fixed:
    closes: #36088, #15767.

 -- Robert Luberda <robert@debian.org>  Sun,  7 Apr 2002 19:41:25 +0200

dwww (1.7.3) unstable; urgency=low

  * dwww-txt2html.c: it now supports references divided into two lines,
    when converting manpages.

  * Added Spanish translation of template file (closes: #136482).
    Thanks to Carlos Valdivia Yage <valyag@hotpop.com>.
  * Added French translation of template file (closes: #137055).
    Thanks to Philippe Batailler <pbatailler@teaser.fr>.

  * debian/control: dwww recommends doc-base.
  * dwww-daily: added `set -e'.
  * realpath -s does not check if file exists.

  * Modified maintainer scripts (dwww.config, dwww.postinst, dwww.preinst)
    to better handle upgrading from potato (dwww version 1.4.3.5-1.9):
    + read settings from dwww.conf and don't ask about them (closes: #103329).
    + remove /etc/*/dwww files unless modified.

  * dwww(8) updated and reformated:
    + described missing configuration variables.
    + added information how to configure dwww to use man2html to convert
      manapges (closes: #61802).
    + added dwww.conf(5) as symlink to dwww(8).

 -- Robert Luberda <robert@debian.org>  Tue, 19 Mar 2002 08:07:04 +0100

dwww (1.7.2) unstable; urgency=low

  * It seeems the boa webserver sets strange umask (0177) and closes stderr
    for spawned cgi programs. Because of that, dwww-cache had wroten its error
    messages to .cache_db and than segfaulted on such broken database file.
    To fix the problem (closes: #134382):
    + functions.sh: added dwww_initialize function, which i.a. sets default
      umask 022 for all dwww scripts.
    + added utils.c with dwww_initialize, which sets umask and reopens stdin,
      stdout and stderr.
    + dwww-cache.c: s/sprintf/snprintf/ almost all.
 
  * dwww-convert:
    + builtin_html2html no longer uses DWWW_SERVERNAME when converting
      anchors. Now it outputs anchors like "/cgi-bin/dwww....", not 
      "http://$DWWW_SERVERNAME/cgi-bin/dwww..." (closes: #112843).
    + it also converts <APPLET ARCHIVE=""> links.
    + correctly handles case when type=dir and location=/path/to/not/dir.

  * dwww-quickfind rewroten, now it stores informations about packages,
    not only programs (closes: #132000). 
    + removed an item from TODO, updated dwww(1) manpage.

  * dwww.template: rewroten by William Clifford <wobh@yahoo.com>, so it now
    uses CSS and validates with w3's html validator.
    Thanks, William!

  * cron.daily/dwww: set maxdepth in find expression to 2, so now cache dir
    will get cleaned.

 -- Robert Luberda <robert@debian.org>  Fri, 22 Feb 2002 08:47:54 +0100

dwww (1.7.1) unstable; urgency=low

  * dwww-txt2html partially rewroten to adds anchors for more types of URIs:
    + http and ftp sites (e.g. ftp.somewhere.com)
    + mail addresses (foo@bar.com)
    + documentation references in /usr{/|/share|/local}/{doc|man} dirs
    + closes: #bug_no statetments
  * Option --man is ignored, dwww-txt2html converts manual page references in
    all documents.

  * Cache also text/plain documents.
  * Added new file /usr/share/dwww/functions.sh with common functions.

  * Do better output formatting using <TABLE> tags in dwww-find and function
    builtin_dir2html from dwww-convert.
  * dwww-convert:builtin_man2html now displays manpages which contains '.so'
    requests like lastb(1).
  * dwww-convert: added /usr/share/common-licenses/ to DWWW_DOCPATH.

  * dwww.cgi, dwww-convert: handle filenames with spaces like "Readme
    Win32.txt" in /usr/share/doc/overkill.

  * Ups, dwww-format-man got broken in 1.7.0 :(. Now is OK, I think.
  * Updated dwww-txt2html(8) and some other manpages.
  * Removed items about packaging style from TODO file.

 -- Robert Luberda <robert@debian.org>  Tue, 29 Jan 2002 21:15:21 +0100

dwww (1.7.0) unstable; urgency=low

  * Cache improvements (closes: #113529, #128263):
    + when a document is stored in the cache, set its mtime to mtime of
      original file.
    + create lock on cache database with flock.


=== debian/control ===
Source: dwww
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 3.0.10), publib-dev
Standards-Version: 3.5.6

Package: dwww
Architecture: any
Section: doc
Depends: apache | httpd, man-db, file, ${perl:Depends}, ${shlibs:Depends}, menu (>= 2.1.5), debconf (>= 0.9.41), mawk | awk, realpath (>= ${Source-Version})
Recommends: doc-base, info2www, dlocate (>= 0.5-0.1), apt
Suggests: links | www-browser, doc-debian
Description: Read all on-line documentation via WWW
 dwww lets you read all install on-line documentation via a local
 WWW server. When possible, it converts the documentation to HTML.
 You need both a WWW server and a WWW browser.

Package: realpath
Architecture: any
Section: utils
Depends: ${shlibs:Depends}
Replaces: dwww (<= 1.6.10)
Description: Return the canonicalized absolute pathname
 The package contains a small utility realpath, which converts each
 pathname argument to an absolute pathname, which has no components
 that are symbolic links or the special .  or ..  directory.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.
#
# This version is for a multibinary package. It also allows you to build any
# of the binary packages independantly, via binary-<package> targets.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	#-$(MAKE) distclean

	dh_clean
install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p dwww		-Pdebian/tmp
	dh_installdirs -p realpath 	-Pdebian/tmp
	dh_installdirs -p dwww 		-Pdebian/dwww
	dh_installdirs -p realpath 	-Pdebian/realpath

	# Add here commands to install the package into debian/tmp.
	$(MAKE) prefix=$(CURDIR)/debian/tmp install

	install -p -m 0644 debian/dwww.lintian \
                        $(CURDIR)/debian/tmp/usr/share/lintian/overrides/dwww

	dh_movefiles -p realpath
	dh_movefiles -p dwww


# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installman
	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
# (Uncomment this next line if you have such packages.)
#	 $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## dwww 1.9.12

=== debian/changelog ===
dwww (1.9.12) unstable; urgency=medium

  * `realpath -s' works with relative pathnames again (closes: #253494).

 -- Robert Luberda <robert@debian.org>  Mon, 14 Jun 2004 23:43:59 +0200

dwww (1.9.11) unstable; urgency=low

  * Correct `realpath -s' which incorrectly treated all files containing
    `.' or `..' as if they were the `.' or `..' directories (closes: #250455).
    Thanks to mwright@acad.stedwards.edu for noticing this.
  * Add source lintian overrides file for `cvsignore-file-in-source'.

 -- Robert Luberda <robert@debian.org>  Mon, 24 May 2004 21:36:30 +0200

dwww (1.9.10) unstable; urgency=low

  * Add Dutch translation of debconf templates (closes: #245267)
    Thanks to Luk Claes <luk.claes@ugent.be>.
  * dwww.menu-method: set repeat_lang=""; to be consistent with doc-base
    which do not support translations.

 -- Robert Luberda <robert@debian.org>  Fri, 30 Apr 2004 00:37:24 +0200

dwww (1.9.9) unstable; urgency=low

  * cron.daily: recreate /var/cache/dwww if needed (closes: #241920).
  * dwww-txt2html.c: stricter checking of mail addresses (closes: #243088).

 -- Robert Luberda <robert@debian.org>  Sun, 18 Apr 2004 18:03:51 +0200

dwww (1.9.8) unstable; urgency=low

  * Add Japanese translation of debconf templates (closes: #236983).
    Thanks to OHURA Makoto <ohura@debian.org>.
  * Run debconf-updatepo.
  * dwww-quickfind.c: parse package list separated with commas.

 -- Robert Luberda <robert@debian.org>  Sat, 27 Mar 2004 11:16:02 +0100

dwww (1.9.7) unstable; urgency=low

  * dwww-find improve searching for menu items:
    + make search results independent of search words order (closes: #225050)
    + quote perl regexp characters, so e.g searching for `..' does not return
      all menu entries.
  * debian/control: mention `readlink -f' in the realpath package's
    description (closes: #212119).
  * Minor improvements in the realpath(1) man page.

 -- Robert Luberda <robert@debian.org>  Sat, 24 Jan 2004 12:02:43 +0100

dwww (1.9.6) unstable; urgency=low

  * dwww-build rewritten in Perl:
    + supports strange characters in man pages names.
    + combine "man by section index" and "man by name index" pages into
      one page, as suggested in #49353
    + change structure of http://localhost/dwww/man/ directory

  * Updated dwww templates.
  * Fixed typos in dwww-find(8) and dwww-index++(8) man pages.
  * Updated a Brazilian Portuguese debconf template translation.
    Thanks to Andre Luis Lopes <andrelop@ig.com.br>. (Closes: #207966).
  * Standards-Versions: 3.6.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Thu, 11 Sep 2003 19:47:48 +0200

dwww (1.9.5) unstable; urgency=medium

  * dwww-build: limit characters, which can be used in man pages' paths,
    to alphanumerics and few other known characters. Now we just ignore
    broken man pages with a quotation mark in section name (closes: #204903).
  * dwww.config: Removed a bogus `print "$p\n"' from mkdir_p procedure.
    It confused debconf and caused strange errors in some cases.
    (closes: #189378)
  * Description improvements (closes: #206039).

 -- Robert Luberda <robert@debian.org>  Wed, 20 Aug 2003 08:22:14 +0200

dwww (1.9.4) unstable; urgency=low

  * dwww: use sensible-browser to load URLs (closes: #201101).
    + updated dwww(1) man page.
    + added dependency on debianutils (>=2.5) for sensible-browser.

  * dwww-convert:
    + when converting html files, do not set charset in HTTP header.
      Proper charset should be set in the html file itself using
      appropriate META tag (closes: #202710).
    + set charset of changelog.Debian.gz files to UTF-8.

  * Minor fixes in dwww-build and dwww's templates.
  * Recode this changelog to UTF-8.
  * Standards-Version: 3.6.0.

 -- Robert Luberda <robert@debian.org>  Sun, 27 Jul 2003 18:16:36 +0200

dwww (1.9.3) unstable; urgency=low

  * dwww-build-menu: don't complain about directories that don't need
    to exist (closes: #190362).
  * DocBase.pm: strip trailing whitespace while parsing doc-base files
    (closes: #193449).
  * dwww.menu-method: replace `$' with `-' in generated file names.
  * dwww-convert: it seems magic2mime command was removed from current file
    package, use `file -i' to find out mime types of files.
  * Minor fixes in html templates.

 -- Robert Luberda <robert@debian.org>  Mon, 19 May 2003 07:04:56 +0200

dwww (1.9.2) unstable; urgency=low

  * dwww-find:
    + packages' info files wasn't shown; fix regexp I broke in 1.9.0.
    + if dpkg-www is installed, add links to packages' pages created
      by its CGI script.
  * debian/control: suggests dpkg-www package.
  * debian/dwww.config: create /usr/lib/cgi-bin and /var/www if they
    don't exist (closes: #188267).
  * dwww needs CGI-capable web server, it won't work with e.g. dhttpd.
    Add this information to both README and description of dwww package.
    This addresses #186395, but doesn't fix it.
  * various files: fix spelling typos found with ispell.

 -- Robert Luberda <robert@debian.org>  Fri, 11 Apr 2003 00:28:14 +0200

dwww (1.9.1) unstable; urgency=low

  * Update French translation of debconf templates (closes: #186166).
    Thanks to  Denis Barbier <barbier@debian.org>.
  * Update German translation of templates from DDTP page.
  * Minor fixes in dwww-build-menu, dwww-convert and html templates.

 -- Robert Luberda <robert@debian.org>  Thu,  3 Apr 2003 22:58:43 +0200

dwww (1.9.0) unstable; urgency=low

  * Added new command dwww-build-menu, which creates `Debian Documentation
    Menu' page by parsing /usr/share/doc-base/* files.
    This give us better control on the content and look of the generated page
    (closes: #110354, #180603, #60483).
  * dwww.menu-method was changed to generate doc-base-like files in
    /var/lib/dwww/menu-methods for backward compatibility and to call
    call dwww-build-menu.
  * cron.daily:
    + call dwww-build-menu
    + code cleaning.

  * Added new dwww-index++, which parses doc-base files and generates index


=== debian/control ===
Source: dwww
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 4.1.25), publib-dev
Standards-Version: 3.6.1

Package: dwww
Architecture: any
Section: doc
Depends: apache | httpd, man-db, file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, menu (>= 2.1.5), realpath (>= ${Source-Version}), doc-base (>= 0.7.17), debianutils (>= 2.5)
Recommends: info2www, dlocate (>= 0.5-0.1), apt
Suggests: links | www-browser, doc-debian, swish++, dpkg-www
Description: Read all on-line documentation with a WWW browser
 All installed on-line documentation will be served via a local HTTP
 server. When possible, dwww converts the documentation to HTML.
 You need to install both a CGI-capable HTTP server and a WWW
 browser to read the documentation.


Package: realpath
Architecture: any
Section: utils
Depends: ${shlibs:Depends}
Replaces: dwww (<= 1.6.10)
Description: Return the canonicalized absolute pathname
 The package contains a small utility realpath, which converts each
 pathname argument to an absolute pathname, which has no components
 that are symbolic links or the special .  or ..  directory entries.
 .
 This utility provides mostly the same functionality as `/bin/readlink -f'
 in the coreutils package.

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,6 @@
 
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=3
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -33,11 +30,13 @@
 	#-$(MAKE) distclean
 
 	dh_clean
+
 install: DH_OPTIONS=
 install: build
 	dh_testdir
 	dh_testroot
 	dh_clean -k
+
 	dh_installdirs -p dwww		-Pdebian/tmp
 	dh_installdirs -p realpath 	-Pdebian/tmp
 	dh_installdirs -p dwww 		-Pdebian/dwww
@@ -49,9 +48,8 @@
 	install -p -m 0644 debian/dwww.lintian \
                         $(CURDIR)/debian/tmp/usr/share/lintian/overrides/dwww
 
-	dh_movefiles -p realpath
-	dh_movefiles -p dwww
-
+	dh_install --sourcedir=debian/tmp -p realpath
+	dh_install --sourcedir=debian/tmp -p dwww -X'realpath*'
 
 # This single target is used to build all the packages, all at once, or
 # one at a time. So keep in mind: any options passed to commands here will
@@ -60,10 +58,11 @@
 binary-common:
 	dh_testdir
 	dh_testroot
-	dh_installdebconf
+	dh_installchangelogs
 	dh_installdocs
 #	dh_installexamples
 	dh_installmenu
+	dh_installdebconf
 #	dh_installlogrotate
 #	dh_installemacsen
 #	dh_installpam
@@ -73,7 +72,6 @@
 	dh_installcron
 #	dh_installinfo
 #	dh_undocumented
-	dh_installchangelogs
 	dh_strip
 	dh_link
 	dh_compress
